An autopay record. STATEMENT autopays are tied to a specific billing period;
SCHEDULED autopays are created during EOD orchestration and are not tied to a billing period.
Autopay configuration settings.
When autopay_type is SCHEDULED, amount_rule must be CURRENT_BALANCE and timing_rule must be DAILY.
When autopay_type is STATEMENT, timing_rule must be ON_DUE_DATE or DAYS_BEFORE_DUE.
The payment description rendered from the description template at autopay creation time.
This is used for ACH addenda and internal transfer memo fields.
The amount in cents associated with this autopay.
For PENDING autopays this is the projected amount based on the config snapshot
and current balances and may change before execution as balances change.
For EXECUTED autopays this is the actual amount used at execution time
(mirrors executed_amount).
For SKIPPED, FAILED, or cancelled autopays without an executed_amount this is 0.
The amount in cents actually used when the autopay was executed.
Absent until the autopay is executed; once present it is the source of truth
for the autopay amount and never changes.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Synctera","colors":{"primary":"#00a5fb","light":"#00a5fb","dark":"#ffd200"},"logo":{"light":"https://mintcdn.com/synctera/VKLbRj1i5Qltvt7T/logo/light.png?fit=max\u0026auto=format\u0026n=VKLbRj1i5Qltvt7T\u0026q=85\u0026s=ab8bf397160af4319e0c7718764522cb","dark":"https://mintcdn.com/synctera/VKLbRj1i5Qltvt7T/logo/dark.png?fit=max\u0026auto=format\u0026n=VKLbRj1i5Qltvt7T\u0026q=85\u0026s=919430638125dbffac15274a667e9f75","href":"https://synctera.com/"},"favicon":"https://mintcdn.com/synctera/pDSOOmsGKwjC8uU7/favicon.png?fit=max\u0026auto=format\u0026n=pDSOOmsGKwjC8uU7\u0026q=85\u0026s=abb443d475485fa9811285908c40fa93","appearance":{"default":"light"},"background":{"decoration":"gradient"},"navbar":{"links":[{"href":"https://app.synctera.com/login","label":"Log in"}],"primary":{"type":"button","label":"Contact Us","href":"https://synctera.com/contact-us"}},"footer":{"socials":{"x":"https://twitter.com/synctera","linkedin":"https://www.linkedin.com/company/synctera"}},"fonts":{"heading":{"family":"Open Sans"},"body":{"family":"Open Sans"}},"styling":{"codeblocks":"system","latex":true},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"navigation":{"global":{"anchors":[{"anchor":"Postman Collection","icon":"gear-code","href":"https://www.postman.com/synctera/workspace/synctera-public-workspace/"},{"anchor":"Blog","icon":"newspaper","href":"https://synctera.com/blog"},{"anchor":"Platform Status","icon":"bolt","href":"https://status.synctera.com/"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"synctera","hasAudioNarration":false,"actualSubdomain":"synctera","customDomains":["docs.synctera.com"],"gitSource":{"type":"gitlab","owner":"synctera","repo":"docs","projectId":76847357,"deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"edits":false,"thumbs":true,"issues":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aedfddadcc627c40f157f23","clientVersion":"0.0.4087","searchFilterCounts":[{"language":"default","tag":"API Reference","count":764},{"language":"default","tag":"Learning Center","count":243},{"language":"default","tag":"Cards","count":224},{"language":"default","tag":"Accounts","count":202},{"language":"default","tag":"Money Movement","count":193},{"language":"default","tag":"Guides","count":177},{"language":"default","tag":"Synctera for FinTechs","count":105},{"language":"default","tag":"Customers","count":102},{"language":"default","tag":"Synctera FAQ","count":91},{"language":"default","tag":"Platform","count":85}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":true},"customCss":[{"filePath":"style.css","content":"li[id=\"topbar-cta-button\"]>a>div>span{color:#000!important}li[id=\"topbar-cta-button\"]>a>div>svg>path{stroke:#000!important}.dark li[id=\"topbar-cta-button\"]>a>div>span{color:#000!important}"}],"page":{"pagePath":"v1/reference/getautopay","slug":"/v1/reference/getautopay","pageMetadata":{"openapi":"openapi-v1.json get /autopays/{autopay_id}","title":"Get autopay","description":"> 🚧 Beta\n> This is a Beta endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint.\n\nGet an autopay by ID. The response includes the estimated amount that will be\npaid based on the config snapshot and current balances.\n","href":"/v1/reference/getautopay"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n blockquote: \"blockquote\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsxs(_components.blockquote, {\n children: [\"\\n\", _jsx(_components.p, {\n children: \"🚧 Beta\\nThis is a Beta endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint.\"\n }), \"\\n\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"Get an autopay by ID. The response includes the estimated amount that will be\\npaid based on the config snapshot and current balances.\"\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"openapi-v1.json get /autopays/{autopay_id}","title":"Get autopay","description":"> 🚧 Beta\n> This is a Beta endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint.\n\nGet an autopay by ID. The response includes the estimated amount that will be\npaid based on the config snapshot and current balances.\n","href":"/v1/reference/getautopay"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"> 🚧 Beta\n> This is a Beta endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint.\n\nGet an autopay by ID. The response includes the estimated amount that will be\npaid based on the config snapshot and current balances.\n","operationId":"getAutopay","parameters":["ba12cbe5-d171-49d2-ae16-8b1b553e0079"],"responses":{"200":"7e3067b9-a88f-4bca-885f-d4c51661ac14","401":"dd33f6dc-9e89-4fe6-9644-ab148b164e3e","403":"3687894b-12d0-47ca-bc3a-3796e94c3053","404":"eaaffa91-d334-4057-9a5a-5b350eadc012","500":"f0627ce9-10a0-439d-a3ad-8ecd50ce83ff"},"summary":"Get autopay","tags":["Autopays"],"x-external":true,"method":"get","type":"path","servers":["8a8b243a-9b8d-4fd1-bf12-33488031bec0","c1fecfaa-3fba-4628-9f5c-f4b9f9149c45"],"security":["747cd0ac-6bda-459f-8882-4a3b53438b98"],"path":"/autopays/{autopay_id}","baseUrlOptions":["https://api.synctera.com/v1","https://api-sandbox.synctera.com/v1"],"title":"Get autopay","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"ba12cbe5-d171-49d2-ae16-8b1b553e0079":{"description":"Autopay ID","example":"2d0f7601-ecc6-48b4-b82f-5d64fa84628b","in":"path","name":"autopay_id","required":true,"schema":{"format":"uuid","type":"string","isRequired":true,"description":"Autopay ID","uniqueKey":"","typeLabel":"string\u003cuuid>"}}},"responses":{"7e3067b9-a88f-4bca-885f-d4c51661ac14":{"content":{"application/json":{"schema":{"description":"An autopay record. STATEMENT autopays are tied to a specific billing period;\nSCHEDULED autopays are created during EOD orchestration and are not tied to a billing period.\n","properties":{"autopay_type":{"description":"Controls when autopay is triggered:\n- STATEMENT: triggered once per billing cycle when a statement is created\n- SCHEDULED: triggered on a recurring cadence via EOD orchestration; requires amount_rule=CURRENT_BALANCE and timing_rule=DAILY\n","enum":["SCHEDULED","STATEMENT"],"type":"string","isRequired":true,"uniqueKey":"autopay_type","typeLabel":"enum\u003cstring>"},"config_snapshot":{"description":"Autopay configuration settings.\nWhen autopay_type is SCHEDULED, amount_rule must be CURRENT_BALANCE and timing_rule must be DAILY.\nWhen autopay_type is STATEMENT, timing_rule must be ON_DUE_DATE or DAYS_BEFORE_DUE.\n","properties":{"amount_rule":{"description":"Rule for calculating the autopay amount:\n- MINIMUM_DUE: Pay the minimum payment due\n- STATEMENT_BALANCE: Pay the full statement balance\n- CURRENT_BALANCE: Pay the current account balance\n- FIXED_AMOUNT: Pay a fixed amount\n","enum":["CURRENT_BALANCE","FIXED_AMOUNT","MINIMUM_DUE","STATEMENT_BALANCE"],"type":"string","isRequired":true,"uniqueKey":"config_snapshot.amount_rule","typeLabel":"enum\u003cstring>"},"autopay_type":{"description":"Controls when autopay is triggered:\n- STATEMENT: triggered once per billing cycle when a statement is created\n- SCHEDULED: triggered on a recurring cadence via EOD orchestration; requires amount_rule=CURRENT_BALANCE and timing_rule=DAILY\n","enum":["SCHEDULED","STATEMENT"],"type":"string","isRequired":true,"uniqueKey":"config_snapshot.autopay_type","typeLabel":"enum\u003cstring>"},"failure_policy":{"description":"Policy for handling autopay failures","enum":["NO_RETRY"],"type":"string","isRequired":true,"uniqueKey":"config_snapshot.failure_policy","typeLabel":"enum\u003cstring>"},"payment_method":{"description":"Payment method for autopay:\n- ACH: Pull funds from an external account via ACH debit\n- INTERNAL_TRANSFER: Transfer funds from a Synctera platform account (generally the customer's own account)\n","enum":["ACH","INTERNAL_TRANSFER"],"type":"string","isRequired":true,"uniqueKey":"config_snapshot.payment_method","typeLabel":"enum\u003cstring>"},"timing_rule":{"description":"Rule for when the autopay should fire. The valid set depends on autopay_type:\n- STATEMENT autopays use ON_DUE_DATE or DAYS_BEFORE_DUE (anchored to the billing due date).\n- SCHEDULED autopays use DAILY (future cadences like WEEKLY/BIWEEKLY will be added here).\n","enum":["DAILY","DAYS_BEFORE_DUE","ON_DUE_DATE"],"type":"string","isRequired":true,"uniqueKey":"config_snapshot.timing_rule","typeLabel":"enum\u003cstring>"},"description_template":{"description":"Go template for payment description. Used for ACH addenda and internal transfer memo.\nSupports template variables:\n- {{.Last4AccountId}}: Last 4 characters of the lending account UUID\n- {{.BillingPeriodEndDate}}: End date of the billing period (YYYY-MM-DD)\n- {{.PaymentAmount}}: Payment amount formatted as currency (e.g., \"$50.00\")\nDefault: \"Autopay\"\n","example":"Autopay for account ending in {{.Last4AccountId}}","type":"string","uniqueKey":"config_snapshot.description_template","typeLabel":"string"},"payment_configs":{"description":"Payment method-specific configurations","properties":{"ach":{"description":"Configuration specific to ACH payment method","properties":{"external_account_id":{"description":"The external account ID to debit via ACH","example":"8f5b4c62-f5a0-4e68-9669-19dbc7a74d8e","format":"uuid","type":"string","isRequired":true,"uniqueKey":"config_snapshot.payment_configs.ach.external_account_id","typeLabel":"string\u003cuuid>"},"is_same_day":{"description":"Whether to send as same-day ACH (default false)","example":true,"type":"boolean","uniqueKey":"config_snapshot.payment_configs.ach.is_same_day","typeLabel":"boolean"},"sec_code":{"description":"Standard Entry Class Code (WEB, CCD, or PPD). Default is WEB.","enum":["CCD","PPD","WEB"],"example":"WEB","type":"string","uniqueKey":"config_snapshot.payment_configs.ach.sec_code","typeLabel":"enum\u003cstring>"}},"required":["external_account_id"],"type":"object","uniqueKey":"config_snapshot.payment_configs.ach","typeLabel":"object"},"internal_transfer":{"description":"Configuration specific to internal transfer payment method","properties":{"source_account_id":{"description":"The internal Synctera platform account ID to transfer funds from","example":"8f5b4c62-f5a0-4e68-9669-19dbc7a74d8e","format":"uuid","type":"string","isRequired":true,"uniqueKey":"config_snapshot.payment_configs.internal_transfer.source_account_id","typeLabel":"string\u003cuuid>"},"subtype":{"description":"Transaction subtype for the internal transfer (optional). Defaults to \"one_time_payment\" when calling /payments directly. Payments initiated through /autopay_configs default to \"auto_payment\".","example":"autopay_payment","type":"string","uniqueKey":"config_snapshot.payment_configs.internal_transfer.subtype","typeLabel":"string"}},"required":["source_account_id"],"type":"object","uniqueKey":"config_snapshot.payment_configs.internal_transfer","typeLabel":"object"}},"type":"object","uniqueKey":"config_snapshot.payment_configs","typeLabel":"object"},"rule_configs":{"description":"Rule-specific configurations","properties":{"current_balance":{"description":"Configuration for current balance amount rule","type":"object","uniqueKey":"config_snapshot.rule_configs.current_balance","typeLabel":"object"},"days_before_due":{"description":"Configuration for days before due timing rule","properties":{"offset_days":{"description":"Number of days before the due date to schedule the autopay","example":3,"maximum":30,"minimum":1,"type":"integer","isRequired":true,"uniqueKey":"config_snapshot.rule_configs.days_before_due.offset_days","typeLabel":"integer"}},"required":["offset_days"],"type":"object","uniqueKey":"config_snapshot.rule_configs.days_before_due","typeLabel":"object"},"fixed_amount":{"description":"Configuration for fixed amount autopay rule","properties":{"amount":{"description":"Fixed amount to pay in cents (e.g. $100.00 is 10000)","example":10000,"format":"int64","type":"integer","isRequired":true,"uniqueKey":"config_snapshot.rule_configs.fixed_amount.amount","typeLabel":"integer\u003cint64>"}},"required":["amount"],"type":"object","uniqueKey":"config_snapshot.rule_configs.fixed_amount","typeLabel":"object"},"minimum_due":{"description":"Configuration for minimum due amount rule","type":"object","uniqueKey":"config_snapshot.rule_configs.minimum_due","typeLabel":"object"},"statement_balance":{"description":"Configuration for statement balance amount rule","type":"object","uniqueKey":"config_snapshot.rule_configs.statement_balance","typeLabel":"object"}},"type":"object","uniqueKey":"config_snapshot.rule_configs","typeLabel":"object"}},"required":["amount_rule","autopay_type","failure_policy","payment_method","timing_rule"],"type":"object","isRequired":true,"uniqueKey":"config_snapshot","typeLabel":"object"},"creation_time":{"description":"Timestamp when the autopay was created","example":"2024-01-15T10:30:00Z","format":"date-time","type":"string","isRequired":true,"uniqueKey":"creation_time","typeLabel":"string\u003cdate-time>"},"id":{"description":"Unique identifier for the autopay","example":"2d0f7601-ecc6-48b4-b82f-5d64fa84628b","format":"uuid","type":"string","isRequired":true,"uniqueKey":"id","typeLabel":"string\u003cuuid>"},"last_updated_time":{"description":"Timestamp when the autopay was last updated","example":"2024-01-15T10:30:00Z","format":"date-time","type":"string","isRequired":true,"uniqueKey":"last_updated_time","typeLabel":"string\u003cdate-time>"},"lending_account_id":{"description":"The lending account ID this autopay belongs to","example":"7d943c51-e4ff-4e57-9558-08cab6b963c7","format":"uuid","type":"string","isRequired":true,"uniqueKey":"lending_account_id","typeLabel":"string\u003cuuid>"},"rendered_description":{"description":"The payment description rendered from the description template at autopay creation time.\nThis is used for ACH addenda and internal transfer memo fields.\n","example":"Autopay for account ending in 1234","type":"string","isRequired":true,"uniqueKey":"rendered_description","typeLabel":"string"},"scheduled_date":{"description":"Date when the autopay is scheduled to execute","example":"2024-01-25","format":"date","type":"string","isRequired":true,"uniqueKey":"scheduled_date","typeLabel":"string\u003cdate>"},"status":{"description":"Status of the autopay:\n- PENDING: Autopay is scheduled and waiting to be executed\n- EXECUTED: Autopay was successfully executed\n- SKIPPED: Autopay was skipped (e.g., no balance due)\n- FAILED: Autopay failed to execute\n","enum":["EXECUTED","FAILED","PENDING","SKIPPED"],"type":"string","isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"attempt_history":{"description":"History of execution attempts for an autopay","properties":{"attempts":{"description":"List of execution attempts, ordered chronologically","items":{"description":"A single attempt to execute an autopay","properties":{"attempted_at":{"description":"Timestamp when the attempt was made","example":"2024-01-25T14:30:00Z","format":"date-time","type":"string","isRequired":true,"uniqueKey":"attempt_history.attempts.items.[INDEX].attempted_at","typeLabel":"string\u003cdate-time>"},"status":{"description":"Status of an autopay attempt:\n- SUCCESS: The attempt succeeded and payment was initiated\n- FAILED: The attempt failed (e.g., insufficient funds, validation error)\n- SKIPPED: The attempt was skipped (e.g., no balance due, already paid)\n","enum":["FAILED","SKIPPED","SUCCESS"],"type":"string","isRequired":true,"uniqueKey":"attempt_history.attempts.items.[INDEX].status","typeLabel":"enum\u003cstring>"},"payment_attributes":{"description":"Identifiers for the payment created by an autopay execution.\nOnly one field will be populated depending on the payment method used.\n","properties":{"ach_id":{"description":"ACH transaction ID when payment method is \"ach\"","example":"6a4b1045-cdd0-82f8-f26c-9e08ce28062f","format":"uuid","type":"string","uniqueKey":"attempt_history.attempts.items.[INDEX].payment_attributes.ach_id","typeLabel":"string\u003cuuid>"},"transaction_id":{"description":"Internal transaction UUID when payment method is \"internal_transfer\"","example":"7b5c2156-dee1-93a9-a37d-0f19df39173a","format":"uuid","type":"string","uniqueKey":"attempt_history.attempts.items.[INDEX].payment_attributes.transaction_id","typeLabel":"string\u003cuuid>"}},"type":"object","uniqueKey":"attempt_history.attempts.items.[INDEX].payment_attributes","typeLabel":"object"},"reason":{"description":"Reason for failure or skip (if applicable)","example":"Insufficient funds in payment source account","type":"string","uniqueKey":"attempt_history.attempts.items.[INDEX].reason","typeLabel":"string"}},"required":["attempted_at","status"],"type":"object","uniqueKey":"attempt_history.attempts.items.[INDEX]","typeLabel":"object"},"type":"array","isRequired":true,"uniqueKey":"attempt_history.attempts","typeLabel":"object[]"}},"required":["attempts"],"type":"object","uniqueKey":"attempt_history","typeLabel":"object"},"autopay_config_id":{"description":"ID of the autopay configuration that created this autopay. Absent for MANUAL\nautopays, which are not tied to an autopay configuration.\n","example":"3e1f8712-fdd7-59c5-c93f-6e75fb95739c","format":"uuid","type":"string","uniqueKey":"autopay_config_id","typeLabel":"string\u003cuuid>"},"billing_period_id":{"description":"The billing period ID this autopay is for. Present for STATEMENT autopays; absent for SCHEDULED autopays.\n","example":"4f2g9823-gee8-60d6-d04g-7f86gc06840d","format":"uuid","type":"string","uniqueKey":"billing_period_id","typeLabel":"string\u003cuuid>"},"current_amount":{"description":"The amount in cents associated with this autopay.\nFor PENDING autopays this is the projected amount based on the config snapshot\nand current balances and may change before execution as balances change.\nFor EXECUTED autopays this is the actual amount used at execution time\n(mirrors `executed_amount`).\nFor SKIPPED, FAILED, or cancelled autopays without an `executed_amount` this is 0.\n","example":5000,"format":"int64","type":"integer","uniqueKey":"current_amount","typeLabel":"integer\u003cint64>"},"executed_amount":{"description":"The amount in cents actually used when the autopay was executed.\nAbsent until the autopay is executed; once present it is the source of truth\nfor the autopay amount and never changes.\n","example":5000,"format":"int64","type":"integer","uniqueKey":"executed_amount","typeLabel":"integer\u003cint64>"},"payment_attributes":{"description":"Identifiers for the payment created by an autopay execution.\nOnly one field will be populated depending on the payment method used.\n","properties":{"ach_id":{"description":"ACH transaction ID when payment method is \"ach\"","example":"6a4b1045-cdd0-82f8-f26c-9e08ce28062f","format":"uuid","type":"string","uniqueKey":"payment_attributes.ach_id","typeLabel":"string\u003cuuid>"},"transaction_id":{"description":"Internal transaction UUID when payment method is \"internal_transfer\"","example":"7b5c2156-dee1-93a9-a37d-0f19df39173a","format":"uuid","type":"string","uniqueKey":"payment_attributes.transaction_id","typeLabel":"string\u003cuuid>"}},"type":"object","uniqueKey":"payment_attributes","typeLabel":"object"},"statement_id":{"description":"The statement ID that triggered this autopay","example":"5g3h0934-hff9-71e7-e15h-8g97hd17951e","format":"uuid","type":"string","uniqueKey":"statement_id","typeLabel":"string\u003cuuid>"},"tenant":{"properties":{"bank_id":{"description":"Bank ID","example":6,"type":"integer","isRequired":true,"uniqueKey":"tenant.bank_id","typeLabel":"integer"},"partner_id":{"description":"Partner ID","example":6,"type":"integer","isRequired":true,"uniqueKey":"tenant.partner_id","typeLabel":"integer"}},"required":["bank_id","partner_id"],"title":"Tenant","type":"object","uniqueKey":"tenant","typeLabel":"Tenant · object"}},"required":["autopay_type","config_snapshot","creation_time","id","last_updated_time","lending_account_id","rendered_description","scheduled_date","status"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"autopay_type":"SCHEDULED","config_snapshot":{"amount_rule":"CURRENT_BALANCE","autopay_type":"SCHEDULED","failure_policy":"NO_RETRY","payment_method":"ACH","timing_rule":"DAILY","description_template":"Autopay for account ending in {{.Last4AccountId}}","payment_configs":{"ach":{"external_account_id":"8f5b4c62-f5a0-4e68-9669-19dbc7a74d8e","is_same_day":true,"sec_code":"WEB"},"internal_transfer":{"source_account_id":"8f5b4c62-f5a0-4e68-9669-19dbc7a74d8e","subtype":"autopay_payment"}},"rule_configs":{"current_balance":{},"days_before_due":{"offset_days":3},"fixed_amount":{"amount":10000},"minimum_due":{},"statement_balance":{}}},"creation_time":"2024-01-15T10:30:00Z","id":"2d0f7601-ecc6-48b4-b82f-5d64fa84628b","last_updated_time":"2024-01-15T10:30:00Z","lending_account_id":"7d943c51-e4ff-4e57-9558-08cab6b963c7","rendered_description":"Autopay for account ending in 1234","scheduled_date":"2024-01-25","status":"EXECUTED","attempt_history":{"attempts":[{"attempted_at":"2024-01-25T14:30:00Z","status":"FAILED","payment_attributes":{"ach_id":"6a4b1045-cdd0-82f8-f26c-9e08ce28062f","transaction_id":"7b5c2156-dee1-93a9-a37d-0f19df39173a"},"reason":"Insufficient funds in payment source account"}]},"autopay_config_id":"3e1f8712-fdd7-59c5-c93f-6e75fb95739c","billing_period_id":"4f2g9823-gee8-60d6-d04g-7f86gc06840d","current_amount":5000,"executed_amount":5000,"payment_attributes":{"ach_id":"6a4b1045-cdd0-82f8-f26c-9e08ce28062f","transaction_id":"7b5c2156-dee1-93a9-a37d-0f19df39173a"},"statement_id":"5g3h0934-hff9-71e7-e15h-8g97hd17951e","tenant":{"bank_id":6,"partner_id":6}}}},"exampleType":"generated"}},"description":"Autopay details","exampleType":"generated"},"dd33f6dc-9e89-4fe6-9644-ab148b164e3e":{"content":{"application/json":{"schema":{"description":"Synctera error responses in API v1 implement a custom error schema.","properties":{"code":{"description":"A machine-readable string that identifies the error for programmatic use.\n","example":"BAD_REQUEST_BODY","type":"string","uniqueKey":"code","typeLabel":"string"},"detail":{"description":"A human-readable string explaining this particular error.\n","example":"Missing required fields: first_name, dob","type":"string","uniqueKey":"detail","typeLabel":"string"},"status":{"description":"HTTP status code for this response","example":400,"type":"integer","uniqueKey":"status","typeLabel":"integer"}},"title":"Synctera error response","type":"object","uniqueKey":"","typeLabel":"Synctera error response · object"},"examples":{"Example":{"title":"Example","value":{"code":"BAD_REQUEST_BODY","detail":"Missing required fields: first_name, dob","status":400}}},"exampleType":"generated"}},"description":"Unauthorized","exampleType":"generated"},"3687894b-12d0-47ca-bc3a-3796e94c3053":{"content":{"application/json":{"schema":{"description":"Synctera error responses in API v1 implement a custom error schema.","properties":{"code":{"description":"A machine-readable string that identifies the error for programmatic use.\n","example":"BAD_REQUEST_BODY","type":"string","uniqueKey":"code","typeLabel":"string"},"detail":{"description":"A human-readable string explaining this particular error.\n","example":"Missing required fields: first_name, dob","type":"string","uniqueKey":"detail","typeLabel":"string"},"status":{"description":"HTTP status code for this response","example":400,"type":"integer","uniqueKey":"status","typeLabel":"integer"}},"title":"Synctera error response","type":"object","uniqueKey":"","typeLabel":"Synctera error response · object"},"examples":{"Example":{"title":"Example","value":{"code":"BAD_REQUEST_BODY","detail":"Missing required fields: first_name, dob","status":400}}},"exampleType":"generated"}},"description":"Forbidden","exampleType":"generated"},"eaaffa91-d334-4057-9a5a-5b350eadc012":{"content":{"application/json":{"schema":{"description":"Synctera error responses in API v1 implement a custom error schema.","properties":{"code":{"description":"A machine-readable string that identifies the error for programmatic use.\n","example":"BAD_REQUEST_BODY","type":"string","uniqueKey":"code","typeLabel":"string"},"detail":{"description":"A human-readable string explaining this particular error.\n","example":"Missing required fields: first_name, dob","type":"string","uniqueKey":"detail","typeLabel":"string"},"status":{"description":"HTTP status code for this response","example":400,"type":"integer","uniqueKey":"status","typeLabel":"integer"}},"title":"Synctera error response","type":"object","uniqueKey":"","typeLabel":"Synctera error response · object"},"examples":{"Example":{"title":"Example","value":{"code":"BAD_REQUEST_BODY","detail":"Missing required fields: first_name, dob","status":400}}},"exampleType":"generated"}},"description":"Resource not found","exampleType":"generated"},"f0627ce9-10a0-439d-a3ad-8ecd50ce83ff":{"content":{"application/json":{"schema":{"description":"Synctera error responses in API v1 implement a custom error schema.","properties":{"code":{"description":"A machine-readable string that identifies the error for programmatic use.\n","example":"BAD_REQUEST_BODY","type":"string","uniqueKey":"code","typeLabel":"string"},"detail":{"description":"A human-readable string explaining this particular error.\n","example":"Missing required fields: first_name, dob","type":"string","uniqueKey":"detail","typeLabel":"string"},"status":{"description":"HTTP status code for this response","example":400,"type":"integer","uniqueKey":"status","typeLabel":"integer"}},"title":"Synctera error response","type":"object","uniqueKey":"","typeLabel":"Synctera error response · object"},"examples":{"Example":{"title":"Example","value":{"code":"BAD_REQUEST_BODY","detail":"Missing required fields: first_name, dob","status":400}}},"exampleType":"generated"}},"description":"Internal server error","exampleType":"generated"}},"security":{"747cd0ac-6bda-459f-8882-4a3b53438b98":{"bearerAuth":{"bearerFormat":"api_key","scheme":"bearer","type":"http","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"8a8b243a-9b8d-4fd1-bf12-33488031bec0":{"description":"Production","url":"https://api.synctera.com/v1"},"c1fecfaa-3fba-4628-9f5c-f4b9f9149c45":{"description":"Sandbox (no real world financial impact)","url":"https://api-sandbox.synctera.com/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"bearerFormat":"api_key","scheme":"bearer","type":"http","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi-v1.json"},"subdomain":"synctera","siteName":"Synctera","title":"Get autopay - Synctera","navMaps":{"firstHrefInVersion":{"v2":{"href":"/v2/reference/getautopay","matchLevel":1},"v0":{"href":"/reference/listexternalaccounts","matchLevel":2},"v1":{"href":"/v1/reference/getautopay","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2026-01-30T22:30:52.981Z","originalFileLocation":"v1/reference/getautopay.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"\u0026gt; 🚧 Beta \u0026gt; This is a Beta endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint. Get an autopay by ID. The response includes the estimated amount that will be paid based on the config snapshot and current balances.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Synctera\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/synctera/ehuaQmwUkP97clsK/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/synctera/ehuaQmwUkP97clsK/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/synctera/ehuaQmwUkP97clsK/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/synctera/ehuaQmwUkP97clsK/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/synctera/ehuaQmwUkP97clsK/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/synctera/ehuaQmwUkP97clsK/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/synctera/ehuaQmwUkP97clsK/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/synctera/ehuaQmwUkP97clsK/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/synctera/ehuaQmwUkP97clsK/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get autopay - Synctera\">\u003cmeta data-mint-head property=\"og:description\" content=\"\u0026gt; 🚧 Beta \u0026gt; This is a Beta endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint. Get an autopay by ID. The response includes the estimated amount that will be paid based on the config snapshot and current balances.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Synctera\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.synctera.com/v1/reference/getautopay\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://synctera.mintlify.site/_mintlify/api/og/v2?division=Autopay\u0026amp;title=Get+autopay\u0026amp;description=%3E+%F0%9F%9A%A7+Beta%0A%3E+This+is+a+Beta+endpoint.+Feedback+from+the+community+is+welcome.+We+may+make+breaking+changes+to+this+endpoint.%0A%0AGet+an+autopay+by+ID.+The+response+i\u0026amp;theme=7eeaff4eadcf64de30804626\u0026amp;signature=f6935970f11da52b6af73615a82761ed5e569f677fa80579a91345d54fd87814\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get autopay - Synctera\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"\u0026gt; 🚧 Beta \u0026gt; This is a Beta endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint. Get an autopay by ID. The response includes the estimated amount that will be paid based on the config snapshot and current balances.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://synctera.mintlify.site/_mintlify/api/og/v2?division=Autopay\u0026amp;title=Get+autopay\u0026amp;description=%3E+%F0%9F%9A%A7+Beta%0A%3E+This+is+a+Beta+endpoint.+Feedback+from+the+community+is+welcome.+We+may+make+breaking+changes+to+this+endpoint.%0A%0AGet+an+autopay+by+ID.+The+response+i\u0026amp;theme=7eeaff4eadcf64de30804626\u0026amp;signature=f6935970f11da52b6af73615a82761ed5e569f677fa80579a91345d54fd87814\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/synctera/ehuaQmwUkP97clsK/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Synctera\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#00a5fb\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.synctera.com/v1/reference/getautopay\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/v1/reference/getautopay.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.synctera.com/#organization\",\"name\":\"Synctera\",\"url\":\"https://docs.synctera.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/synctera/VKLbRj1i5Qltvt7T/logo/light.png?fit=max\u0026auto=format\u0026n=VKLbRj1i5Qltvt7T\u0026q=85\u0026s=ab8bf397160af4319e0c7718764522cb\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.synctera.com#website\",\"name\":\"Synctera\",\"url\":\"https://docs.synctera.com\",\"publisher\":{\"@id\":\"https://docs.synctera.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.synctera.com/v1/reference/getautopay#webpage\",\"url\":\"https://docs.synctera.com/v1/reference/getautopay\",\"name\":\"Get autopay\",\"description\":\"> 🚧 Beta > This is a Beta endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint. Get an autopay by ID. The response includes the estimated amount that will be paid based on the config snapshot and current balances.\",\"dateModified\":\"2026-01-30T22:30:52.981Z\",\"isPartOf\":{\"@id\":\"https://docs.synctera.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.synctera.com/v1/reference/getautopay#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.synctera.com/v1/reference/getautopay#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Accounts\",\"item\":\"https://docs.synctera.com/v1/reference/listspendcontrols\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Autopay\",\"item\":\"https://docs.synctera.com/v1/reference/listautopayconfigs\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Get autopay\",\"item\":\"https://docs.synctera.com/v1/reference/getautopay\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.synctera.com/v1/reference/getautopay#apireference\",\"headline\":\"Get autopay\",\"name\":\"Get autopay\",\"description\":\"> 🚧 Beta > This is a Beta endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint. Get an autopay by ID. The response includes the estimated amount that will be paid based on the config snapshot and current balances.\",\"url\":\"https://docs.synctera.com/v1/reference/getautopay\",\"mainEntityOfPage\":{\"@id\":\"https://docs.synctera.com/v1/reference/getautopay#webpage\"},\"dateModified\":\"2026-01-30T22:30:52.981Z\",\"publisher\":{\"@id\":\"https://docs.synctera.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.synctera.com#website\"}}]}\u003c/script>","siteName":"Synctera","nav":{"global":{"anchors":[{"anchor":"Postman Collection","icon":"gear-code","href":"https://www.postman.com/synctera/workspace/synctera-public-workspace/"},{"anchor":"Blog","icon":"newspaper","href":"https://synctera.com/blog"},{"anchor":"Platform Status","icon":"bolt","href":"https://status.synctera.com/"}]},"versions":[{"version":"v2","pages":[{"title":"v2","href":"/v2/reference/getautopay"}]},{"version":"v0","pages":[{"title":"v0","href":"/reference/listexternalaccounts"}]},{"version":"v1","tabs":[{"tab":"Home","pages":[{"title":"Home","href":"/home"}]},{"tab":"Guides","pages":[{"title":"Guides","href":"/v1/docs/platform-overview"}]},{"tab":"API Reference","groups":[{"group":"Synctera API","pages":[{"title":"Introduction","mode":"wide","href":"/v1/reference/introduction"},{"title":"Response Codes","mode":"wide","href":"/v1/reference/response-codes"},{"title":"OpenAPI Spec","mode":"wide","href":"/v1/reference/openapi-spec"},{"title":"Environments","mode":"wide","href":"/v1/reference/environments"},{"title":"Authentication","mode":"wide","href":"/v1/reference/authentication"},{"title":"Idempotency","mode":"wide","href":"/v1/reference/idempotency"},{"group":"Credit Disputes","pages":[{"openapi":"openapi-v1.json get /credit_disputes/{credit_dispute_id}","title":null,"href":"/v1/reference/getcreditdispute"}]},{"group":"Credit Dispute Batch Files","pages":[{"openapi":"openapi-v1.json get /credit_dispute_batches/{batch_id}","title":null,"href":"/v1/reference/getcreditdisputebatchfile"}]}]},{"group":"Customers","pages":[{"group":"Credit Scores","pages":[{"openapi":"openapi-v1.json get /credit_scores","title":"List credit scores","href":"/v1/reference/listcreditscores"},{"openapi":"openapi-v1.json post /credit_scores","title":"Create a credit score and associate it with a customer","href":"/v1/reference/createcreditscores"},{"openapi":"openapi-v1.json get /credit_scores/{credit_score_id}","title":"Retrieve a credit score","href":"/v1/reference/getcreditscore"}]},{"group":"CRR","pages":[{"openapi":"openapi-v1.json get /crr","title":null,"href":"/v1/reference/listcrr"}]}]},{"group":"Accounts","pages":[{"group":"Spend Controls","pages":[{"openapi":"openapi-v1.json get /spend_controls","title":"List Spend Controls","href":"/v1/reference/listspendcontrols"},{"openapi":"openapi-v1.json post /spend_controls","title":"Create Spend Control","href":"/v1/reference/createspendcontrol"},{"openapi":"openapi-v1.json get /spend_controls/{spend_control_id}","title":"Get Spend Control","href":"/v1/reference/getspendcontrol"},{"openapi":"openapi-v1.json patch /spend_controls/{spend_control_id}","title":"Update Spend Control","href":"/v1/reference/updatespendcontrol"}]},{"group":"Plaid Core Exchange","pages":[{"openapi":"openapi-v1.json get /fdx_auth_requests","title":"List FDX authorization requests","href":"/v1/reference/listfdxauthrequests"},{"openapi":"openapi-v1.json get /fdx_auth_requests/authorization_test","title":"Authorization Test","href":"/v1/reference/getauthorizationtest"},{"openapi":"openapi-v1.json post /fdx_auth_requests/authorize","title":"Grant an FDX authorization request","href":"/v1/reference/grantfdxauthrequest"},{"openapi":"openapi-v1.json get /fdx_tokens","title":"List tokens","href":"/v1/reference/listfdxtoken"},{"openapi":"openapi-v1.json get /fdx_tokens/{fdx_token_id}","title":"Get an FDX token","href":"/v1/reference/getfdxtoken"}]},{"group":"Statements","pages":[{"openapi":"openapi-v1.json get /statements","title":"List statements","href":"/v1/reference/liststatements"},{"openapi":"openapi-v1.json get /statements/{statement_id}","title":"Get a statement","href":"/v1/reference/getstatement"},{"openapi":"openapi-v1.json get /statements/{statement_id}/transactions","title":"Get a statement's transactions","href":"/v1/reference/getstatementtransactions"}]},{"group":"Applications","pages":[{"openapi":"openapi-v1.json get /applications","title":"List applications","href":"/v1/reference/listapplications-1"},{"openapi":"openapi-v1.json post /applications","title":"Create an application","href":"/v1/reference/createapplication-1"},{"openapi":"openapi-v1.json get /applications/{application_id}","title":"Get an application","href":"/v1/reference/getapplication-1"},{"openapi":"openapi-v1.json patch /applications/{application_id}","title":"Modify an application","href":"/v1/reference/patchapplication-1"}]},{"group":"Adverse Actions","pages":[{"openapi":"openapi-v1.json get /adverse_actions","title":"List adverse action notices","href":"/v1/reference/listadverseactions"},{"openapi":"openapi-v1.json post /adverse_actions","title":"Create an adverse action notice","href":"/v1/reference/createadverseaction"},{"openapi":"openapi-v1.json get /adverse_actions/{adverse_action_id}","title":"Retrieve an adverse action notice","href":"/v1/reference/getadverseaction"}]},{"group":"Autopay","pages":[{"openapi":"openapi-v1.json get /autopay_configs","title":"List autopay configurations","href":"/v1/reference/listautopayconfigs"},{"openapi":"openapi-v1.json post /autopay_configs","title":"Create autopay configuration","href":"/v1/reference/createautopayconfig"},{"openapi":"openapi-v1.json get /autopay_configs/{autopay_config_id}","title":"Get autopay configuration","href":"/v1/reference/getautopayconfig"},{"openapi":"openapi-v1.json patch /autopay_configs/{autopay_config_id}","title":"Update autopay configuration","href":"/v1/reference/updateautopayconfig"},{"openapi":"openapi-v1.json delete /autopay_configs/{autopay_config_id}","title":"Delete autopay configuration","href":"/v1/reference/deleteautopayconfig"},{"openapi":"openapi-v1.json get /autopays","title":"List autopays","description":"> 🚧 Beta\n> This is a Beta endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint.\n\nList autopay records with optional filters. Autopays are created automatically\nwhen a statement is generated for an account with an active autopay configuration.\n","href":"/v1/reference/listautopays"},{"openapi":"openapi-v1.json get /autopays/{autopay_id}","title":"Get autopay","href":"/v1/reference/getautopay"},{"openapi":"openapi-v1.json patch /autopays/{autopay_id}","title":"Update autopay","description":"> 🚧 Beta\n> This is a Beta endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint.\n\nUpdate an autopay. Currently only supports cancelling a pending autopay by\nsetting the status to SKIPPED.\n","href":"/v1/reference/patchautopay"},{"openapi":"openapi-v1.json post /autopay_configs/{autopay_config_id}/evaluate_statement","title":"Evaluate statement for autopay configuration","href":"/v1/reference/evaluateautopayconfigforstatement"}]}]},{"group":"Cards","pages":[{"group":"Apple Pay","pages":[{"openapi":"openapi-v1.json post /certificates/applepay/csr","title":"Create an Apple Pay CSR","href":"/v1/reference/createapplepaycsr"}]},{"group":"Bulk Issuance","pages":[{"openapi":"openapi-v1.json get /cards/bulk_issuance","title":"List Bulk Order Configurations","href":"/v1/reference/listbulkorderconfigs"},{"openapi":"openapi-v1.json post /cards/bulk_issuance","title":"Create a bulk order configuration","href":"/v1/reference/createbulkorderconfig"},{"openapi":"openapi-v1.json get /cards/bulk_issuance/{bulk_order_config_id}","title":"Get bulk order configuration","href":"/v1/reference/getbulkorderconfig"},{"openapi":"openapi-v1.json post /cards/bulk_issuance/{bulk_order_config_id}/fulfill","title":"Fulfill a bulk order","href":"/v1/reference/fulfillbulkorder"}]},{"group":"Cards","pages":[{"openapi":"openapi-v1.json get /cards","title":"List Cards","href":"/v1/reference/listcards"},{"openapi":"openapi-v1.json post /cards","title":"Issue a Card","href":"/v1/reference/issuecard"},{"openapi":"openapi-v1.json post /cards/activate","title":"Activate a card","href":"/v1/reference/activatecard"},{"openapi":"openapi-v1.json get /cards/card_widget_url","title":"Get card widget URL","href":"/v1/reference/getcardwidgeturl"},{"openapi":"openapi-v1.json get /cards/gateways","title":"List Gateways","href":"/v1/reference/listgateways"},{"openapi":"openapi-v1.json post /cards/gateways","title":"Create Gateway","href":"/v1/reference/creategateway"},{"openapi":"openapi-v1.json get /cards/gateways/{gateway_id}","title":"Get Gateway","href":"/v1/reference/getgateway"},{"openapi":"openapi-v1.json patch /cards/gateways/{gateway_id}","title":"Update Gateway","href":"/v1/reference/updategateway"},{"openapi":"openapi-v1.json get /cards/images","title":"List Card Image Details","href":"/v1/reference/listcardimagedetails"},{"openapi":"openapi-v1.json post /cards/images","title":"Create Card Image","href":"/v1/reference/createcardimage"},{"openapi":"openapi-v1.json get /cards/images/{card_image_id}","title":"Get Card Image Details","href":"/v1/reference/getcardimagedetails"},{"openapi":"openapi-v1.json patch /cards/images/{card_image_id}","title":"Update Card Image Details","href":"/v1/reference/updatecardimagedetails"},{"openapi":"openapi-v1.json get /cards/images/{card_image_id}/data","title":"Get Card Image Data","href":"/v1/reference/getcardimagedata"},{"openapi":"openapi-v1.json post /cards/images/{card_image_id}/data","title":"Upload Card Image","href":"/v1/reference/uploadcardimagedata"},{"openapi":"openapi-v1.json get /cards/products","title":"List Card Products","href":"/v1/reference/listcardproducts"},{"openapi":"openapi-v1.json get /cards/three_ds_decision_gateways","title":"List 3DS Decision Gateways","href":"/v1/reference/listthreedsdecisiongateways"},{"openapi":"openapi-v1.json post /cards/three_ds_decision_gateways","title":"Create 3DS Decision Gateway","href":"/v1/reference/createthreedsdecisiongateway"},{"openapi":"openapi-v1.json get /cards/three_ds_decision_gateways/{id}","title":"Get 3DS DecisionGateway","href":"/v1/reference/getthreedsdecisiongateway"},{"openapi":"openapi-v1.json patch /cards/three_ds_decision_gateways/{id}","title":"Update 3DS Decision Gateway","href":"/v1/reference/updatethreedsgateway"},{"openapi":"openapi-v1.json get /cards/{card_id}","title":"Get Card","href":"/v1/reference/getcard"},{"openapi":"openapi-v1.json patch /cards/{card_id}","title":"Update Card","href":"/v1/reference/updatecard"},{"openapi":"openapi-v1.json get /cards/{card_id}/barcodes","title":"Get Card Barcode","href":"/v1/reference/getcardbarcode"},{"openapi":"openapi-v1.json post /cards/{card_id}/client_token","title":"Get a client token","href":"/v1/reference/getclientaccesstoken"},{"openapi":"openapi-v1.json post /cards/{card_id}/pin","title":"Set Card PIN","href":"/v1/reference/setcardpin"},{"openapi":"openapi-v1.json get /cards/{card_id}/reveal","title":"Reveal Card Details","href":"/v1/reference/revealcarddetails"},{"openapi":"openapi-v1.json get /cards/{card_id}/widget_token","title":"Get a widget access token","href":"/v1/reference/getwidgetaccesstoken"}]},{"group":"External Cards","pages":[{"openapi":"openapi-v1.json get /external_cards","title":"List External Cards","href":"/v1/reference/listexternalcards"},{"openapi":"openapi-v1.json post /external_cards/authenticate_3ds","title":"Authenticate 3DS","href":"/v1/reference/authenticate3ds"},{"openapi":"openapi-v1.json post /external_cards/initialize_3ds","title":"Initialize 3DS","href":"/v1/reference/initialize3ds"},{"openapi":"openapi-v1.json post /external_cards/lookup_3ds","title":"Lookup 3DS","href":"/v1/reference/lookup3ds"},{"openapi":"openapi-v1.json post /external_cards/tokens","title":"Create External Card from token","href":"/v1/reference/createexternalcardfromtoken"},{"openapi":"openapi-v1.json post /external_cards","title":"Create External Card","href":"/v1/reference/createexternalcard"},{"openapi":"openapi-v1.json get /external_cards/transfers","title":"List External Transfers","href":"/v1/reference/listexternalcardtransfers"},{"openapi":"openapi-v1.json post /external_cards/transfers","title":"Create External Card Transfer","href":"/v1/reference/createexternalcardtransfer"},{"openapi":"openapi-v1.json post /external_cards/transfers/applepay","title":"Create Apple Pay External Card Transfer","href":"/v1/reference/createapplepayexternalcardtransfer"},{"openapi":"openapi-v1.json post /external_cards/transfers/googlepay","title":"Create Google Pay External Card Transfer","href":"/v1/reference/creategooglepayexternalcardtransfer"},{"openapi":"openapi-v1.json get /external_cards/transfers/{transfer_id}","title":"Get External Card Transfer","href":"/v1/reference/getexternalcardtransfer"},{"openapi":"openapi-v1.json post /external_cards/transfers/{transfer_id}/reversals","title":"Create External Card Transfer Reversal","href":"/v1/reference/createexternalcardtransferreversal"},{"openapi":"openapi-v1.json delete /external_cards/{external_card_id}","title":"Delete External Card","href":"/v1/reference/deleteexternalcard"},{"openapi":"openapi-v1.json get /external_cards/{external_card_id}","title":"Get External Card","href":"/v1/reference/getexternalcard"},{"openapi":"openapi-v1.json get /external_cards/{external_card_id}/reveal","title":"Reveal External Card Details","href":"/v1/reference/revealexternalcarddetails"},{"openapi":"openapi-v1.json patch /external_cards/{external_card_id}","title":"Update External Card","href":"/v1/reference/updateexternalcard"}]},{"group":"Digital Wallet Tokens","pages":[{"openapi":"openapi-v1.json get /cards/digital_wallet_tokens","title":"List Digital Wallet Tokens","href":"/v1/reference/listdigitalwallettokens"},{"openapi":"openapi-v1.json get /cards/digital_wallet_tokens/{digital_wallet_token_id}","title":"Get Digital Wallet Token","href":"/v1/reference/getdigitalwallettoken"},{"openapi":"openapi-v1.json patch /cards/digital_wallet_tokens/{digital_wallet_token_id}","title":"Update Digital Wallet Token's life cycle status","href":"/v1/reference/updatedigitalwallettokenstatus"},{"openapi":"openapi-v1.json post /cards/{card_id}/digital_wallet_tokens/applepay","title":"Create digital wallet token provision request for Apple Pay","href":"/v1/reference/createdigitalwalletapple"},{"openapi":"openapi-v1.json post /cards/{card_id}/digital_wallet_tokens/googlepay","title":"Create digital wallet token provision request for Google Pay","href":"/v1/reference/createdigitalwalletgoogle"}]}]},{"group":"Money Movement","pages":[{"group":"Rewards","pages":[{"openapi":"openapi-v1.json get /reward_templates","title":"List reward templates","href":"/v1/reference/listrewardtemplates"},{"openapi":"openapi-v1.json post /reward_templates","title":"Create a reward template","href":"/v1/reference/createrewardtemplate"},{"openapi":"openapi-v1.json get /reward_templates/{reward_template_id}","title":"Get a Reward template","href":"/v1/reference/getrewardtemplate"},{"openapi":"openapi-v1.json patch /reward_templates/{reward_template_id}","title":"Patch Reward Template","href":"/v1/reference/patchrewardtemplate"},{"openapi":"openapi-v1.json get /rewards","title":"List rewards","href":"/v1/reference/listrewards"},{"openapi":"openapi-v1.json post /rewards","title":"Create a reward","href":"/v1/reference/createreward"},{"openapi":"openapi-v1.json get /rewards/{reward_id}","title":"Get Reward","href":"/v1/reference/getreward"},{"openapi":"openapi-v1.json post /rewards/{reward_id}/reverse","title":"Reverse a reward","href":"/v1/reference/reversereward"}]},{"group":"Reward Products","pages":[{"openapi":"openapi-v1.json get /reward_products","title":"List reward products","href":"/v1/reference/listrewardproducts"},{"openapi":"openapi-v1.json post /reward_products","title":"Create a reward product","href":"/v1/reference/createrewardproduct"},{"openapi":"openapi-v1.json get /reward_products/{reward_product_id}","title":"Get a reward product","href":"/v1/reference/getrewardproduct"},{"openapi":"openapi-v1.json patch /reward_products/{reward_product_id}","title":"Update a reward product","href":"/v1/reference/updaterewardproduct"},{"openapi":"openapi-v1.json get /reward_configs","title":"List reward configs","href":"/v1/reference/listrewardconfigs"},{"openapi":"openapi-v1.json post /reward_configs","title":"Create a reward config","href":"/v1/reference/createrewardconfig"},{"openapi":"openapi-v1.json get /reward_configs/{reward_config_id}","title":"Get a reward config","href":"/v1/reference/getrewardconfig"},{"openapi":"openapi-v1.json patch /reward_configs/{reward_config_id}","title":"Update a reward config","href":"/v1/reference/updaterewardconfig"}]},{"group":"Fees","pages":[{"openapi":"openapi-v1.json get /fee_templates","title":"List fee templates","href":"/v1/reference/listfeetemplates"},{"openapi":"openapi-v1.json post /fee_templates","title":"Create a fee template","href":"/v1/reference/createfeetemplate"},{"openapi":"openapi-v1.json get /fee_templates/{fee_template_id}","title":"Get a Fee template","href":"/v1/reference/getfeetemplate"},{"openapi":"openapi-v1.json patch /fee_templates/{fee_template_id}","title":"Patch Fee Template","href":"/v1/reference/patchfeetemplate"},{"openapi":"openapi-v1.json get /fees","title":"List fees","href":"/v1/reference/listfees"},{"openapi":"openapi-v1.json post /fees","title":"Create a fee","href":"/v1/reference/createfee"},{"openapi":"openapi-v1.json get /fees/{fee_id}","title":"Get Fee","href":"/v1/reference/getfee"},{"openapi":"openapi-v1.json post /fees/{fee_id}/reverse","title":"Reverse a fee","href":"/v1/reference/reversefee"}]},{"group":"Fee Products","pages":[{"openapi":"openapi-v1.json get /fee_products","title":"List fee products","href":"/v1/reference/listfeeproducts"},{"openapi":"openapi-v1.json post /fee_products","title":"Create a fee product","href":"/v1/reference/createfeeproduct"},{"openapi":"openapi-v1.json get /fee_products/{fee_product_id}","title":"Get a fee product","href":"/v1/reference/getfeeproduct"},{"openapi":"openapi-v1.json patch /fee_products/{fee_product_id}","title":"Update a fee product","href":"/v1/reference/updatefeeproduct"},{"openapi":"openapi-v1.json get /fee_configs","title":"List fee configs","href":"/v1/reference/listfeeconfigs"},{"openapi":"openapi-v1.json post /fee_configs","title":"Create a fee config","href":"/v1/reference/createfeeconfig"},{"openapi":"openapi-v1.json get /fee_configs/{fee_config_id}","title":"Get a fee config","href":"/v1/reference/getfeeconfig"},{"openapi":"openapi-v1.json patch /fee_configs/{fee_config_id}","title":"Update a fee config","href":"/v1/reference/updatefeeconfig"},{"openapi":"openapi-v1.json get /fee_categories","title":"List fee categories","href":"/v1/reference/listfeecategories"}]},{"group":"Batch Payments","pages":[{"openapi":"openapi-v1.json get /batch_templates","title":"Get Batch Payment Templates","href":"/v1/reference/getbatchpaymenttemplates"},{"openapi":"openapi-v1.json post /batch_templates","title":"Create Batch Payment Template","href":"/v1/reference/createbatchpaymenttemplate"},{"openapi":"openapi-v1.json get /batch_templates/{id}","title":"Get Batch Payment Template","href":"/v1/reference/getbatchpaymenttemplate"},{"openapi":"openapi-v1.json patch /batch_templates/{id}","title":"Update Batch Payment Template","href":"/v1/reference/updatebatchpaymenttemplate"},{"openapi":"openapi-v1.json get /batches","title":"Get Batch Payments","href":"/v1/reference/getbatchpayments"},{"openapi":"openapi-v1.json post /batches","title":"Create Batch Payments","href":"/v1/reference/createbatchpayments"},{"openapi":"openapi-v1.json get /batches/{id}","title":"Get BatchPayment","href":"/v1/reference/getbatchpayment"},{"openapi":"openapi-v1.json patch /batches/{id}","title":"Update Batch Payment","href":"/v1/reference/updatebatchpayment"}]},{"group":"Payments","pages":[{"openapi":"openapi-v1.json get /payments","title":"List payments","href":"/v1/reference/listpayments"},{"openapi":"openapi-v1.json post /payments","title":"Make a payment","href":"/v1/reference/makepayment"},{"openapi":"openapi-v1.json get /payments/{payment_id}","title":"Get payment","href":"/v1/reference/getpayment"},{"openapi":"openapi-v1.json patch /payments/{payment_id}","title":"Update payment","href":"/v1/reference/patchpayment"}]},{"group":"Outgoing SyncteraPay","pages":[{"openapi":"openapi-v1.json get /synctera_pay","title":"Get Outgoing Synctera Pay Transfers","href":"/v1/reference/getsyncterapaytransfers"},{"openapi":"openapi-v1.json post /synctera_pay","title":"Create Synctera Pay Transfer","href":"/v1/reference/createsyncterapaytransfer"},{"openapi":"openapi-v1.json get /synctera_pay/configurations","title":"Get Outgoing Synctera Pay Configurations","href":"/v1/reference/getsyncterapayconfigurations"},{"openapi":"openapi-v1.json get /synctera_pay/configurations/{id}","title":"Get Outgoing Synctera Pay Configuration","href":"/v1/reference/getsyncterapayconfiguration"},{"openapi":"openapi-v1.json get /synctera_pay/vendors","title":"List Outgoing Synctera Pay vendors","href":"/v1/reference/getsyncterapayvendors"},{"openapi":"openapi-v1.json get /synctera_pay/vendors/{id}","title":"Get an Outgoing Synctera Pay vendor","href":"/v1/reference/getsyncterapayvendor"},{"openapi":"openapi-v1.json get /synctera_pay/{id}","title":"Get Outgoing Synctera Pay Transfer","href":"/v1/reference/getsyncterapaytransfer"},{"openapi":"openapi-v1.json patch /synctera_pay/{id}","title":"Update an Outgoing Synctera Pay Transfer","href":"/v1/reference/updatesyncterapaytransfer"},{"openapi":"openapi-v1.json post /synctera_pay/{id}/return","title":"Return a Synctera Pay Transfer","href":"/v1/reference/returnsyncterapaytransfer"}]},{"group":"Incoming SyncteraPay","pages":[{"openapi":"openapi-v1.json get /synctera_pay/incoming/configurations","title":"List Incoming Synctera Pay Configurations","href":"/v1/reference/listincomingsyncterapayconfigurations"},{"openapi":"openapi-v1.json get /synctera_pay/incoming/configurations/{id}","title":"Get Incoming Synctera Pay Configuration","href":"/v1/reference/getincomingsyncterapayconfiguration"},{"openapi":"openapi-v1.json get /synctera_pay/incoming/transfers","title":"List Incoming Synctera Pay Transfers","href":"/v1/reference/listincomingsyncterapaytransfers"},{"openapi":"openapi-v1.json post /synctera_pay/incoming/transfers","title":"Create Incoming Synctera Pay Transfer","href":"/v1/reference/createincomingsyncterapaytransfer"},{"openapi":"openapi-v1.json get /synctera_pay/incoming/transfers/{id}","title":"Get Incoming Synctera Pay Transfer","href":"/v1/reference/getincomingsyncterapaytransfer"}]}]},{"group":"Transactions","pages":[{"group":"Disputes","pages":[{"openapi":"openapi-v1.json get /disputes","title":"List disputes","href":"/v1/reference/listdisputes"},{"openapi":"openapi-v1.json post /disputes","title":"Dispute a transaction","href":"/v1/reference/createdispute"},{"openapi":"openapi-v1.json get /disputes/documents/{document_id}/contents","title":"Get dispute document contents","href":"/v1/reference/getdisputedocumentcontents"},{"openapi":"openapi-v1.json get /disputes/{dispute_id}","title":"Get a Dispute","href":"/v1/reference/getdispute"},{"openapi":"openapi-v1.json patch /disputes/{dispute_id}","title":"Update a dispute","href":"/v1/reference/updatedispute"},{"openapi":"openapi-v1.json post /disputes/{dispute_id}/actions","title":"Create a dispute action","href":"/v1/reference/createaction"},{"openapi":"openapi-v1.json get /disputes/{dispute_id}/chargeback_data","title":"Get chargeback eligibility data","href":"/v1/reference/getchargebackdata"},{"openapi":"openapi-v1.json post /disputes/{dispute_id}/documents","title":"Add a document to a dispute","href":"/v1/reference/adddisputedocument"}]},{"group":"Transactions (beta)","pages":[{"openapi":"openapi-v1.json get /transactions","title":"List Transactions (deprecated)","href":"/v1/reference/listtransactions"},{"openapi":"openapi-v1.json get /transactions/{id}","title":"Get a transaction by ID (deprecated)","href":"/v1/reference/gettransactionbyid"}]}]},{"group":"Platform","pages":[{"group":"Webhooks","pages":[{"openapi":"openapi-v1.json get /webhooks","title":"List webhooks","href":"/v1/reference/listwebhooks"},{"openapi":"openapi-v1.json post /webhooks","title":"Create a webhook","href":"/v1/reference/createwebhook"},{"openapi":"openapi-v1.json post /webhooks/trigger","title":"Trigger an event","href":"/v1/reference/triggerevent-1"},{"openapi":"openapi-v1.json delete /webhooks/{webhook_id}","title":"Delete a webhook","href":"/v1/reference/deletewebhook-1"},{"openapi":"openapi-v1.json get /webhooks/{webhook_id}","title":"Get a webhook","href":"/v1/reference/getwebhook"},{"openapi":"openapi-v1.json put /webhooks/{webhook_id}","title":"Update a webhook","href":"/v1/reference/updatewebhook-1"},{"openapi":"openapi-v1.json get /webhooks/{webhook_id}/events","title":"List webhook events","href":"/v1/reference/listevents-1"},{"openapi":"openapi-v1.json get /webhooks/{webhook_id}/events/{event_id}","title":"Get webhook event","href":"/v1/reference/getevent-1"},{"openapi":"openapi-v1.json post /webhooks/{webhook_id}/events/{event_id}/resend","title":"Resend an event","href":"/v1/reference/resendevent-1"}]},{"group":"Cases","pages":[{"title":"List cases","openapi":"openapi-v2.json get /cases","href":"/v1/reference/listcases"},{"title":"Get case","openapi":"openapi-v2.json get /cases/{id}","href":"/v1/reference/getcase"}]}]},{"group":"Simulations","pages":[{"group":"Card Webhook Simulations (beta)","pages":[{"openapi":"openapi-v1.json post /cards/{card_id}/webhook_simulations/fulfillment","title":"Simulate Card Fulfillment Event","href":"/v1/reference/simulatecardfulfillmentevent"}]},{"group":"Card Transaction Simulations (beta)","pages":[{"openapi":"openapi-v1.json post /cards/transaction_simulations/authorization","title":"Simulate authorization","href":"/v1/reference/simulateauthorization"},{"openapi":"openapi-v1.json post /cards/transaction_simulations/authorization/advice","title":"Simulate authorization advice","href":"/v1/reference/simulateauthorizationadvice"},{"openapi":"openapi-v1.json post /cards/transaction_simulations/clearing","title":"Simulate clearing or refund","href":"/v1/reference/simulateclearing"},{"openapi":"openapi-v1.json post /cards/transaction_simulations/clearing/l2l3","title":"Simulate L2l3","href":"/v1/reference/simulatel2l3"},{"openapi":"openapi-v1.json post /cards/transaction_simulations/financial","title":"Simulate financial","href":"/v1/reference/simulatefinancial"},{"openapi":"openapi-v1.json post /cards/transaction_simulations/financial/advice","title":"Simulate financial advice","href":"/v1/reference/simulatefinancialadvice"},{"openapi":"openapi-v1.json post /cards/transaction_simulations/financial/balance_inquiry","title":"Simulate balance inquiry","href":"/v1/reference/simulatebalanceinquiry"},{"openapi":"openapi-v1.json post /cards/transaction_simulations/financial/original_credit","title":"Simulate OCT","href":"/v1/reference/simulateoriginalcredit"},{"openapi":"openapi-v1.json post /cards/transaction_simulations/financial/withdrawal","title":"Simulate ATM withdrawal","href":"/v1/reference/simulatewithdrawal"},{"openapi":"openapi-v1.json post /cards/transaction_simulations/reversal","title":"Simulate reversal","href":"/v1/reference/simulatereversal"}]},{"group":"Dispute Simulations (beta)","pages":[{"openapi":"openapi-v1.json post /disputes/simulations/{dispute_id}/actions","title":"Simulate a network dispute action","href":"/v1/reference/simulatedisputeaction"}]}]}]},{"tab":"Learning Center","pages":[{"title":"Learning Center","href":"/docs/learning-center"}]}]}]},"basePath":"","title":"Get autopay - Synctera","buildId":"dpl_FWZhTb2vab28gFGFH4ojka6qEznQ","deploymentId":"dpl_FWZhTb2vab28gFGFH4ojka6qEznQ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CBsVopKK.js","utils-DZAk68jJ.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-D32AYZrP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-D_A5_cny.js","snippetPresets-xNRfS9th.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BIB25-tq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CydJ4w4j.js","shallow-CYPBeQSG.js","getApiPlaygroundDisplay-A5xJVBOu.js","CodeSnippet-BVRTgi3m.js","CodeSnippets-DjD6BSlt.js","Page-Dr40SSJq.js","getPastedJson-D4V4JyrR.js","icon-uhcnG22T.js","MethodPill-CM-ZQdGH.js","DuplicateIcon-B_WnOiNf.js","createIcon-CJsb8utt.js","DynamicMarkdown-D-2HDKEp.js","SectionHeading-KP5xmMgQ.js","axios-vUo_bRtp.js","Markdown-D_k0dg6k.js","clsx-DK3K4Z1S.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DE3EVdvd.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-fN9H9n9g.js"]}